<!--
 
function pPXQp(c,p_x,p_y,lx,b_right)
{
var factor=lx/100;
var yAxe=Math.round(50*factor);
var x1=Math.round(80*factor);var y1=0*factor;var x2=Math.round(55*factor);var y2=Math.round(25*factor);
var x3=Math.round(47*factor);var y3=Math.round(17*factor);var x4=Math.round(60*factor);var y4=Math.round(5*factor);
var x5=Math.round(22*factor);var y5=y4;
if(b_right==false)
{
x1=lx-x1;x2=lx-x2;x3=lx-x3;x4=lx-x4;x5=lx-x5;
}
c.beginPath()
c.moveTo(p_x+x1,p_y+yAxe-y1);c.lineTo(p_x+x2,p_y+yAxe-y2);c.lineTo(p_x+x3,p_y+yAxe-y3);c.lineTo(p_x+x4,p_y+yAxe-y4);c.lineTo(p_x+x5,p_y+yAxe-y5);
c.lineTo(p_x+x5,p_y+yAxe+y5);c.lineTo(p_x+x4,p_y+yAxe+y4);
c.lineTo(p_x+x3,p_y+yAxe+y3);c.lineTo(p_x+x2,p_y+yAxe+y2);c.lineTo(p_x+x1,p_y+yAxe+y1);
c.fill()
}
function EJtrQ(c,x,y,lx,size,epais)
{
x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);c.fillRect(x,y+(size-epais)/2,size,epais);c.fillRect(x+(size-epais)/2,y,epais,size);
}
function Pqjho(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;x=Math.round(x+(lx-size)/2);y=Math.round(y+(lx-size)/2);var x2=9;
c.beginPath();c.moveTo(x+x2,y);c.lineTo(x+x2+6,y+7);c.lineTo(x+x2,y+14);c.fill();
var grad=c.createLinearGradient(x,y,x+8,y);
var EiwKE=new RGBColor(col)
EiwKE.a=0
grad.addColorStop(1,col);grad.addColorStop(0,EiwKE.toRGB());
c.fillStyle=grad;
c.beginPath();c.rect(x,y,8,14);c.fill()
c.fillStyle=old_fill
}
function mZkcS(c,x,y,lx,col)
{
var old_fill=c.fillStyle;
var size=16;
x=Math.round(x+(lx-size)/2);
y=Math.round(y+(lx-size)/2);
c.fillStyle=col;
c.beginPath();
c.rect(x,y,size,size);
c.fill()
c.fillStyle=old_fill
}
function HtOqC(name,MTitC,YKbfV)
{
var n=MTitC.indexOf("%")
if(n>-1)
{
MTitC=wa_evaluate(MTitC.replace("%","/100"))
return Math.round(MTitC*YKbfV)
}
MTitC=parseFloat(MTitC)
return Math.round(MTitC)
}
function IKkOZ(KIbGW,UrSBH,gKcrD)
{
var x=HtOqC("x",KIbGW.x,UrSBH)
var y=HtOqC("y",KIbGW.y,gKcrD)
if(KIbGW.x.indexOf("%")==-1)UrSBH=UrSBH-x
if(KIbGW.y.indexOf("%")==-1)gKcrD=gKcrD-y 

var lx=HtOqC("lx",KIbGW.lx,UrSBH)
var ly=HtOqC("ly",KIbGW.ly,gKcrD)
return new Rect(x,y,lx,ly)
}
function WA_change_tool_button(Pimln,mIvdA,over)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk&&UtnWk.NIOuJ)
{
var sstnd=UtnWk.NIOuJ[mIvdA]
if(sstnd)
{
sstnd.OaUTI=over
sstnd.draw()
}
}
}
function WA_toolbar_button(id,lx,ly,type,col,shadow)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
c.clearRect(0,0,lx,ly) 
var current_col=col;
c.fillStyle=current_col;
if(type=="<")
{
pPXQp(c,0,0,lx,false)
}
if(type==">")
{
pPXQp(c,0,0,lx,true)
}
if(type=="down")
{
c.rotate(-Math.PI/2);c.translate(-lx,0);
pPXQp(c,0,0,lx,false)
c.translate(lx,0);c.rotate(Math.PI/2);
}
if(type=="up")
{
c.rotate(Math.PI/2);c.translate(0,-ly);
pPXQp(c,0,0,lx,false);
c.translate(0,ly);c.rotate(-Math.PI/2);
}
if(type=="+")
{
EJtrQ(c,0,0,lx,12,4)
}
if(type=="diapo")
{
Pqjho(c,0,0,lx,current_col)
}
if(type=="stop")
{
mZkcS(c,0,0,lx,current_col)
}
}
EAOtI.prototype=new Tween();
EAOtI.prototype.constructor=Tween;
EAOtI.superclass=Tween.prototype;
function EAOtI(obj,rsKDg,WBjVJ,ckqiZ,xeZWu)
{
this.targetObject=obj;
this.init(new Object(),'a',rsKDg,WBjVJ,ckqiZ,xeZWu);
this.onMotionChanged=function(evt)
{
var v=evt.target.getPosition();
var nRPlY=this.targetObject;
v=Math.round(v*100)/100
nRPlY.setOpacity(v/100);
}
}
function WA_photoAlbumActionThumb(Pimln,mIvdA,ngkAA)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk.lhuJb()==false)return 
var JARkm=UtnWk.kFlqk;
var sSvKu_img=document.getElementById(JARkm)
if(mIvdA==-1) mIvdA=0;
var frPYo=GqvTS(Pimln)[mIvdA]
var pFsUm=UtnWk.gGFkc()
var Ychgo=pFsUm.border_size 
if(ngkAA!=true)
if(UtnWk.olKGe==mIvdA)
{
return;
}
if(UtnWk.qqkmF) return;
UtnWk.qqkmF=true
var wOZOG_size=new Size(UtnWk.IpFjY_preview.width-2*Ychgo,UtnWk.IpFjY_preview.height-2*Ychgo)
var wOZOG_reso=UtnWk.WoALr_layout.max_img_resolution
var src_folder=tXYmr(Pimln)
var YKbfV=new Size(frPYo.size.w,frPYo.size.h)
YKbfV.scale(wOZOG_size)
if(wOZOG_reso>0)
{
var wOZOG_size_album=new Size(wOZOG_reso,wOZOG_reso)
YKbfV.scale(wOZOG_size_album)
}
var oVYFf=new Image();
if(isMSIE())
{
oVYFf=document.getElementById(UtnWk.nFqSi) 
oVYFf.width=YKbfV.width
oVYFf.height=YKbfV.height
}
oVYFf.hjOjJ=0.2
oVYFf.tqbvV=0.1
oVYFf.OfAUw_img=mIvdA
oVYFf.iBPRw=UtnWk.iBPRw
oVYFf.XOjfh=Tween.strongEaseOut
oVYFf.sSvKu_img=sSvKu_img
oVYFf.MSJoZ=document.getElementById(UtnWk.iBPRw.divId())
oVYFf.UtnWk=UtnWk 
oVYFf.VNQEc=YKbfV;
oVYFf.loaded=false;
oVYFf.onload=function()
{
LxMdU(this,this.sSvKu_img)
}
oVYFf.onerror=function()
{
gYupU(this,false)
}
oVYFf.onabort=function()
{
gYupU(this,false)
}
oVYFf.src=src_folder+"/"+frPYo.th+"?v="+frPYo.mod;
}
function LxMdU(oVYFf_obj,sSvKu_img)
{
if(isMobileBrowser())
{
var UtnWk=oVYFf_obj.UtnWk
UtnWk.olKGe=oVYFf_obj.OfAUw_img
oVYFf_obj.iBPRw.setOpacity(1);
html_SetOpacity(oVYFf_obj.sSvKu_img,1)
OwefB(oVYFf_obj,oVYFf_obj.sSvKu_img)
gYupU(oVYFf_obj,true)
return;
}
var Nwjjx=new EAOtI(oVYFf_obj.iBPRw,oVYFf_obj.XOjfh,100,0,oVYFf_obj.hjOjJ);
Nwjjx.oVYFf_obj=oVYFf_obj
Nwjjx.start()
var IIuFT=new OpacityTween(sSvKu_img,oVYFf_obj.XOjfh,100,0,oVYFf_obj.hjOjJ);
IIuFT.oVYFf_obj=oVYFf_obj
IIuFT.sSvKu_img=sSvKu_img
IIuFT.onMotionFinished=dabfI
IIuFT.start()
}
function dabfI()
{
var oVYFf_obj=this.oVYFf_obj 
var mIvdA=oVYFf_obj.OfAUw_img
var UtnWk=oVYFf_obj.UtnWk
UtnWk.olKGe=mIvdA 
var xeZWu=0.1
OwefB(this.oVYFf_obj,this.sSvKu_img)
var CkPKo=new EAOtI(oVYFf_obj.iBPRw,oVYFf_obj.XOjfh,0,100,oVYFf_obj.tqbvV);
CkPKo.oVYFf_obj=oVYFf_obj
CkPKo.start()
var uscJe=new OpacityTween(this.sSvKu_img,this.oVYFf_obj.XOjfh,0,100,this.oVYFf_obj.tqbvV);
uscJe.oVYFf_obj=this.oVYFf_obj
uscJe.sSvKu_img=this.sSvKu_img
uscJe.onMotionFinished=AhDVn
uscJe.start() 
}
function AhDVn()
{
gYupU(this.oVYFf_obj,true)
}
function gYupU(oVYFf_obj,RXoDT)
{
var mIvdA=oVYFf_obj.OfAUw_img
var UtnWk=oVYFf_obj.UtnWk
UtnWk.qqkmF=false;
var mIvdA=UtnWk.olKGe 
{
UtnWk.mBjCa=Math.floor(mIvdA/(UtnWk.gFNDT_cols*UtnWk.gFNDT_rows))
dEbNH(UtnWk.Pimln)
}
UtnWk.jFsoO()
UtnWk.tNrAc()
}
function OwefB(oVYFf_obj,sSvKu_img)
{
var UtnWk=oVYFf_obj.UtnWk
var YKbfV=oVYFf_obj.VNQEc
UtnWk.SLOuI.width=YKbfV.width
UtnWk.SLOuI.height=YKbfV.height
sSvKu_img.width=YKbfV.width;
sSvKu_img.height=YKbfV.height;
sSvKu_img.src=oVYFf_obj.src;
var pFsUm=UtnWk.gGFkc()
var Wnlll=new RGBColor(pFsUm.border_col)
var Ychgo=pFsUm.border_size
if(Wnlll.a==0) Ychgo=0;
var rvYIl=UtnWk.IpFjY_preview
var jnrQc=pFsUm.shadow;
var OvOgE=0;
if(jnrQc)OvOgE=6
var x0=Math.round((rvYIl.width-(YKbfV.width+2*Ychgo))/2)
var y0=Math.round((rvYIl.height-(YKbfV.height+2*Ychgo))/2)
UtnWk.iBPRw.setRect(x0,y0,YKbfV.width+2*Ychgo,YKbfV.height+2*Ychgo)
var BtfRj=document.getElementById(UtnWk.BtfRj_preview_id)
html_SetPosition(BtfRj,Ychgo+x0,Ychgo+y0)
}
function WA_photoAlbumChangeImageSize(sSvKu_img,YKbfV,tJTdj)
{
var dec=3
sSvKu_img.width=YKbfV
sSvKu_img.height=YKbfV
sSvKu_img.style.borderWidth=tJTdj
}
function WA_photoAlbumThumbOver(sSvKu,Pimln,mIvdA)
{
var UtnWk=qiRdx(Pimln)
var frPYo_def=GqvTS(Pimln)[mIvdA]
var JARkm=UtnWk.tQAQS(mIvdA)
var sSvKu_img=document.getElementById(JARkm)
sSvKu.UtnWk=UtnWk;
sSvKu.sSvKu_img=sSvKu_img
var dec=2
WA_photoAlbumChangeImageSize(sSvKu_img,UtnWk.owCCW-2*dec,UtnWk.UBppJ_thumbnail+dec)
}
function WA_photoAlbumThumbOut(sSvKu)
{
var sSvKu_img=sSvKu.sSvKu_img;
var UtnWk=sSvKu.UtnWk
WA_photoAlbumChangeImageSize(sSvKu_img,UtnWk.owCCW,UtnWk.UBppJ_thumbnail)
}
function qKVJE(Pimln,bnhtb)
{
this.Pimln=Pimln;
this.gldPE=25;
this.lkNNl=bnhtb;
this.qVKTV="photo-album-toolbar-"+this.Pimln
this.cNYbh=("photo-album-scroll-content"+this.Pimln)
this.IpFjY_selector_slider=null;
this.WeHTo=null;
this.IpFjY_preview=null;
this.gFNDT_cols=0;
this.gFNDT_rows=0;
this.FroQN=new Array()
this.mBjCa=0;
this.gFNDT_pages=1
this.RUCMk=true;
this.sWCYo=false
this.soYxA=40
this.SLOuI=new Size(0,0)
this.JPVGM=-1;
this.olKGe=-1;
this.gFNDT_images=this.lkNNl.def.length
this.XHpNN=false;
this.EudjO=new Rect(0,0,100,100)
this.WoALr_layout=VMESb(this.Pimln)
var WoALr=this.WoALr_layout
if(WoALr.diaporama&&(WoALr.diaporama.startup))this.XHpNN=true;
this.fkTIR=false;
this.WoALr_previewZone=false;
this.BFflV=0;
this.KEbbS=function()
{
if(this==this.lkNNl.album_object) return true;
return false;
}
this.rRnVI=function()
{
return this.Pimln+this.BFflV
}
this.iQaPK=function()
{
var WoALr=VMESb(Pimln)
var aFIRL=this.fQmqI();
this.sWCYo=aFIRL.nav_has_horz_flow
if(this.sWCYo==false)
{
this.FroQN.push("up")
this.FroQN.push("down")
}
else
{
this.FroQN.push("<")
this.FroQN.push(">")
}
if(this.nBpwD())
{
this.FroQN.push("+")
}
else
if(this.HmCuP())
{
this.FroQN.push("-")
}
if(WoALr.diaporama)
{
this.FroQN.push("diapo")
}
if((aFIRL.nav_but_orient==5)||(aFIRL.nav_but_orient==3))
{
this.RUCMk=false;
}
var canvas_bg=""
this.PqweA=new WA_GraphicElement(this.rRnVI()+"-graphic-selector-bg",50,aFIRL.bg_shadow)
this.PqweA.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,aFIRL.bg_border_col,[aFIRL.bg_col],aFIRL.bg_shadow,0)
}
canvas_bg+=this.PqweA.toHtml() 
this.rIiEo_toolbar=new WA_GraphicElement(this.rRnVI()+"-graphic-toolbar-bg",50,aFIRL.bg_shadow)
this.rIiEo_toolbar.RUCMk=this.RUCMk 
this.rIiEo_toolbar.draw=function()
{
var nOnYw_toolbar=false;
if(this.RUCMk)
{
nOnYw_toolbar=NrgoX(0,0,0,this.rect().height/2,aFIRL.toolbar_bg_col1,aFIRL.toolbar_bg_col2)
}
else
{
nOnYw_toolbar=NrgoX(0,0,this.rect().width/2,0,aFIRL.toolbar_bg_col1,aFIRL.toolbar_bg_col2)
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,1,aFIRL.toolbar_border_col,[nOnYw_toolbar],aFIRL.toolbar_shadow,0)
}
canvas_bg+=this.rIiEo_toolbar.toHtml() 
this.NIOuJ=new Array()
this.NIOuJ_by_action=new Array()
for(var n=0;n<this.FroQN.length;n++)
{
var n_action=this.FroQN[n]
var sstnd=new WA_GraphicElement(this.rRnVI()+"-graphic-toolbar-but"+n,70,false)
sstnd.n_action=n_action
sstnd.UtnWk=this
sstnd.OaUTI=false
sstnd.gldPE=this.gldPE
sstnd.NWccj=aFIRL.toolbar_but_col1
sstnd.qXHRx=aFIRL.toolbar_but_col2
sstnd.draw=function()
{
var bKoTF=this.gldPE
var kTQNv=this.n_action
if(kTQNv=="diapo")
{
if(this.UtnWk.UliOp())kTQNv="stop"
}
var KwffA=(this.OaUTI)?this.qXHRx:this.NWccj
WA_toolbar_button(this.canvasId(),bKoTF,bKoTF,kTQNv,KwffA,true)
}
this.NIOuJ.push(sstnd)
var wWYMI_action=n_action
if(wWYMI_action=="up")wWYMI_action="<"
if(wWYMI_action=="down")wWYMI_action=">"
this.NIOuJ_by_action[wWYMI_action]=sstnd
canvas_bg+="<div id='"+sstnd.divId()+"-href' onclick=\"javascript:WA_photoAlbumAction('"+this.Pimln+"',"+n+")\" ";
canvas_bg+="style=\""
canvas_bg+="position:absolute;"
canvas_bg+="z-index:1000;"
canvas_bg+="cursor:pointer;"
canvas_bg+="\" "
canvas_bg+="onmouseover=\"";
canvas_bg+="WA_change_tool_button('"+this.Pimln+"',"+n+",true)";
canvas_bg+="\" ";
canvas_bg+="onmouseout=\"";
canvas_bg+="WA_change_tool_button('"+this.Pimln+"',"+n+",false)";
canvas_bg+="\" ";
canvas_bg+=">";
canvas_bg+="</div>";
canvas_bg+=sstnd.toHtml()
}
canvas_bg+="<div id='"+this.cNYbh+"' style=\"";
canvas_bg+="position:absolute;z-index:100;";
canvas_bg+="overflow:hidden;";
canvas_bg+="\"></div>";
return canvas_bg;
}
this.oPLOh=function()
{
var aFIRL=this.fQmqI();
var r1_rect=this.IpFjY_selector_slider;
var jXQLH="" 
var min_size=Math.min(r1_rect.width,r1_rect.height)
var size_thumb=aFIRL.th_size.size;
if(aFIRL.th_size.percent) size_thumb=Math.round(size_thumb*(min_size)/100);
var image_spacing=Math.max(0,Math.round((aFIRL.th_spacing/100)*size_thumb))
image_spacing=Math.round(image_spacing/2)*2
var nb_cols_real=r1_rect.width/(size_thumb+image_spacing);
var nb_cols=Math.floor(nb_cols_real);
this.gFNDT_cols=Math.max(1,nb_cols);
var nb_rows_real=r1_rect.height/(size_thumb+image_spacing);
var nb_rows=Math.floor(nb_rows_real);
this.gFNDT_rows=Math.max(1,nb_rows);
var size_border_thumbnail=Math.max(1,Math.round((size_thumb)*0.03));
size_thumb-=2*size_border_thumbnail
var nb_images=this.gFNDT_images
var nb_pages=(nb_images/(this.gFNDT_cols*this.gFNDT_rows));
if(nb_pages>Math.floor(nb_pages)) nb_pages=Math.floor(nb_pages)+1;
this.gFNDT_pages=nb_pages
this.owCCW=size_thumb;
this.gGEXg=image_spacing;
this.UBppJ_thumbnail=size_border_thumbnail
var n_image=0;
var nb_item_x=this.gFNDT_cols*nb_pages
var nb_item_y=this.gFNDT_rows;
var nb_item_per_page=this.gFNDT_cols*this.gFNDT_rows 
if(this.sWCYo==false)
{
nb_item_x=this.gFNDT_cols
nb_item_y=this.gFNDT_rows*nb_pages;
}
jXQLH+="<table border=0 cellpadding=0 cellspacing=0 width=100% height=100% >";
jXQLH+="<tr>"
jXQLH+="<td "
if((this.sWCYo==false)||(this.gFNDT_pages==1))
{
jXQLH+="align=center"
}
jXQLH+=">" 
jXQLH+="<table border=0 cellpadding="+(image_spacing/2)+" cellspacing=0  width=10px>";
for(var ijPEj=0;ijPEj<nb_item_y;ijPEj++)
{
jXQLH+="<tr>" 
for(var xxfgn=0;xxfgn<nb_item_x;xxfgn++)
{
jXQLH+="<td>"
var ind_img=0;
var nx_0=Math.floor(xxfgn/this.gFNDT_cols)
var diff0=xxfgn-nx_0*this.gFNDT_cols;
ind_img=nx_0*nb_item_per_page+(ijPEj*this.gFNDT_cols)+diff0
if(ind_img<nb_images)
{
var frPYo=this.lkNNl.def[ind_img]
var MCcGc=this.lkNNl.src_folder+"/th_"+frPYo.th+"?v="+frPYo.mod_th
jXQLH+="<a href=\"";
if(this.lhuJb())
{
jXQLH+="javascript:WA_photoAlbumActionThumb('"+Pimln+"',"+ind_img+")"
}
else
{
jXQLH+="javascript:WA_photoAlbumIncrease('"+Pimln+"',"+ind_img+")"
}
jXQLH+="\" "
jXQLH+="onmouseover=\"WA_photoAlbumThumbOver(this,'"+Pimln+"',"+ind_img+")\" "
jXQLH+="onmouseout=\"WA_photoAlbumThumbOut(this)\" "
jXQLH+=">"
jXQLH+="<img id='"+this.tQAQS(ind_img)+"' width="+size_thumb+"px height="+size_thumb+"px src='"+MCcGc+"' ";
jXQLH+="style='";
if(size_border_thumbnail>0)
{
jXQLH+="border-color:"+aFIRL.selector_img_border_color+";";
jXQLH+="border-width:"+size_border_thumbnail+"px;border-style:solid;";
}
jXQLH+="' ";
jXQLH+=">"
jXQLH+="</a>"
n_image++;
}
jXQLH+="</td>"
}
if(this.RUCMk)
if(this.gFNDT_pages>1)
{
for(var xxfgn=0;xxfgn<this.gFNDT_cols;xxfgn++)
{
var WAQHE=size_thumb+2*size_border_thumbnail
jXQLH+="<td>"
jXQLH+="<div  style='width:"+(WAQHE)+"px;height:"+WAQHE+"px;'></div>";
jXQLH+="</td>"
}
}
jXQLH+="</tr>"
}
if(this.RUCMk==false)
if(this.gFNDT_pages>1)
{
for(var ijPEj=0;ijPEj<this.gFNDT_rows;ijPEj++)
{
jXQLH+="<tr>"
var WAQHE=size_thumb+2*size_border_thumbnail
jXQLH+="<td colspan="+this.gFNDT_cols+">"
jXQLH+="<div  style='width:"+(WAQHE)+"px;height:"+WAQHE+"px;'></div>";
jXQLH+="</td>"
jXQLH+="</tr>"
}
}
jXQLH+="</table>" 
jXQLH+="</td>"
jXQLH+="</tr>"
jXQLH+="</table>"
return jXQLH;
}
this.tQAQS=function(mIvdA)
{
return this.rRnVI()+"-th-img"+mIvdA
}
this.bTwnj=function()
{
var pFsUm=this.gGFkc();
if(pFsUm==false) return;
var frPYo=this.lkNNl.def[0]
this.kFlqk="photo-album-preview-img-"+this.rRnVI()
this.nFqSi=this.kFlqk+"-cache"
this.BtfRj_preview_id="photo-album-preview-img-div"+this.rRnVI()
this.foELM="photo-album-preview-zone"+this.rRnVI()
var jXQLH=""
jXQLH+="<div  id='"+this.foELM+"' style=\"";
jXQLH+="position:absolute;z-index:500;";
jXQLH+="\" ";
jXQLH+="onclick=\"WA_clickAlbumPreview('"+this.Pimln+"')\" ";
jXQLH+="onmousemove=\"javascript:WA_mousemoveAlbumPreview(event,'"+this.Pimln+"')\" ";
jXQLH+="onmouseout=\"javascript:WA_mouseoutAlbumPreview(event,'"+this.Pimln+"')\" ";
jXQLH+=">";
jXQLH+="<div style='position:absolute;z-index:450;left:0px;top:0px;";
jXQLH+="width:100%;height:100%;background-color:#000000;";
jXQLH+="filter:alpha(opacity=0);-moz-opacity:0;opacity:0;' "
jXQLH+="></div>"
this.iBPRw=new WA_GraphicElement(this.rRnVI()+"-graphic-img-bg",50,pFsUm.shadow)
this.iBPRw.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',[pFsUm.border_col],this.shadow(),0,this.opacity())
}
jXQLH+=this.iBPRw.toHtml() 
jXQLH+="<div id='"+this.BtfRj_preview_id+"' style=\"";
jXQLH+="position:absolute;z-index:100;";
jXQLH+="left:0px;";
jXQLH+="top:0px;";
jXQLH+="\" ";
jXQLH+=">";
jXQLH+="<img  id='"+this.kFlqk+"' border=0 >";
if(isMSIE())
{
jXQLH+="<img style='position:absolute;left:0px;top:0px;visibility:hidden;' id='"+this.nFqSi+"'>"
}
else
{
jXQLH+="<img style='position:absolute;left:0px;top:0px;display:none;' id='"+this.nFqSi+"'>"
}
jXQLH+="</div>";
this.nwjtJ=new WA_GraphicElement(this.rRnVI()+"-graphic-arrow0",300,true)
this.nwjtJ.setImage("intuisphere.png",new Rect(97,49,46,47))
this.nwjtJ.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var UrSBH=Math.round(this.rect().width*0.8);
var gKcrD=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-UrSBH)/2,6+(this.rect().height-gKcrD)/2,UrSBH,gKcrD,this.img_clip(),this.opacity(),false)
}
this.TemRK=new WA_GraphicElement(this.rRnVI()+"-graphic-arrow1",300,true)
this.TemRK.setImage("intuisphere.png",new Rect(2,49,46,47))
this.TemRK.draw=function()
{
WA_bg(this.canvasId(),this.rect().width,this.rect().height,5,0,'',["#ffffff"],this.shadow(),0,this.opacity(),true)
var UrSBH=Math.round(this.rect().width*0.8);
var gKcrD=Math.round(this.rect().height*0.8);
WA_drawImage(this.canvasId(),this.img_src(),6+(this.rect().width-UrSBH)/2,6+(this.rect().height-gKcrD)/2,UrSBH,gKcrD,this.img_clip(),this.opacity(),false)
}
jXQLH+=this.nwjtJ.toHtml()
jXQLH+=this.TemRK.toHtml() 
this.DJFUN=new WA_GraphicElement(this.rRnVI()+"-graphic-cursor-zoom",400,false)
this.DJFUN.setSize(30,30)
this.DJFUN.setImage("intuisphere.png",new Rect(0,0,48,48))
this.DJFUN.draw=function()
{
WA_drawImage(this.canvasId(),this.img_src(),0,0,this.rect().width,this.rect().height,this.img_clip())
}
jXQLH+=this.DJFUN.toHtml() 
jXQLH+="</div>";
return jXQLH;
}
this.SBIBc=function()
{
if(this.Fdbws())
{
this.PqweA.registerDynamicCanvas();
this.rIiEo_toolbar.registerDynamicCanvas();
for(var n=0;n<this.NIOuJ.length;n++)
{
var sstnd=this.NIOuJ[n]
sstnd.registerDynamicCanvas();
}
}
if(this.lhuJb())
{
this.iBPRw.registerDynamicCanvas();
this.nwjtJ.registerDynamicCanvas();
this.TemRK.registerDynamicCanvas();
this.DJFUN.registerDynamicCanvas();
this.DJFUN.setVisible(false)
}
if(this.rIiEo_global)
this.rIiEo_global.registerDynamicCanvas();
this.HsYQs()
}
this.UliOp=function()
{
return(this.AOPdn)?true:false;
}
this.FXeEk=function()
{
return(this.mBjCa>0)
}
this.YAOHF=function()
{
return(this.mBjCa<this.gFNDT_pages-1)
}
this.cSpqb=function()
{
return(this.olKGe>0);
}
this.jtShS=function()
{
return(this.olKGe<this.lkNNl.def.length-1);
}
this.RAaxn=function()
{
if(this.Fdbws())
{
var aFIRL=this.fQmqI() 
var UrSBH=this.EudjO.width
var gKcrD=this.EudjO.height
var r0=aFIRL.rect
var r0_rect=IKkOZ(r0,UrSBH,gKcrD)
r0_rect.x+=this.EudjO.x
r0_rect.y+=this.EudjO.y
var r1_rect=r0_rect.clone() 
var WgtMR_toolbar=r0_rect.clone()
var gFNDT_buttons=this.FroQN.length 
var ExHrg=5
var GApMl=this.gldPE+ExHrg*2
var jqSwr=(gFNDT_buttons*this.gldPE)
if(aFIRL.nav_but_orient==1)
{
r1_rect.y+=GApMl;
r1_rect.height-=GApMl;
WgtMR_toolbar.x=WgtMR_toolbar.x+(WgtMR_toolbar.width-jqSwr)/2;
WgtMR_toolbar.width=jqSwr
WgtMR_toolbar.y+=ExHrg;
WgtMR_toolbar.height=this.gldPE;
}
if(aFIRL.nav_but_orient==5)
{
r1_rect.width-=GApMl;
WgtMR_toolbar.y=WgtMR_toolbar.y+(WgtMR_toolbar.height-jqSwr)/2;
WgtMR_toolbar.height=jqSwr
WgtMR_toolbar.x+=r1_rect.width+ExHrg;
WgtMR_toolbar.width=this.gldPE;
}
if(aFIRL.nav_but_orient==7)
{
r1_rect.height-=GApMl;
WgtMR_toolbar.x=WgtMR_toolbar.x+(WgtMR_toolbar.width-jqSwr)/2;
WgtMR_toolbar.width=jqSwr
WgtMR_toolbar.y+=r1_rect.height+ExHrg;
WgtMR_toolbar.height=this.gldPE;
}
if(aFIRL.nav_but_orient==3)
{
r1_rect.width-=GApMl;
r1_rect.x+=GApMl;
WgtMR_toolbar.y=WgtMR_toolbar.y+(WgtMR_toolbar.height-jqSwr)/2;
WgtMR_toolbar.height=jqSwr
WgtMR_toolbar.x+=ExHrg;
WgtMR_toolbar.width=this.gldPE;
}
this.IpFjY_selector_slider=r1_rect
this.WeHTo=WgtMR_toolbar 
var GuMaZ=this.IpFjY_selector_slider;
this.PqweA.setRect(GuMaZ.x,GuMaZ.y,GuMaZ.width,GuMaZ.height)
html_SetRect(this.cNYbh,r1_rect) 
var WgtMR=this.WeHTo
this.rIiEo_toolbar.setRect(WgtMR.x,WgtMR.y,WgtMR.width,WgtMR.height)
var lx_button=this.gldPE
var ly_button=lx_button
var XkRPC=WgtMR_toolbar.x
var ijPEj_but0=WgtMR_toolbar.y
for(var n=0;n<this.NIOuJ.length;n++)
{
var sstnd=this.NIOuJ[n]
var hwjhb=XkRPC
var ijPEj_but=ijPEj_but0
if(this.RUCMk)
{
hwjhb+=n*lx_button;
}
else
{
ijPEj_but+=n*ly_button;
}
sstnd.setRect(hwjhb,ijPEj_but,lx_button,ly_button)
html_SetGeometry(sstnd.divId()+"-href",hwjhb,ijPEj_but,lx_button,ly_button)
}
var sSvKu_selector=document.getElementById(this.cNYbh)
if(sSvKu_selector)
{
sSvKu_selector.innerHTML=this.oPLOh();
}
this.tNrAc()
}
}
this.nBpwD=function()
{
if((this.BFflV==1)&&(this.Fdbws()==true)) return true;
if((this.BFflV==0)&&(this.WoALr_layout.has_full_page_config)) return true;
return false;
}
this.HmCuP=function()
{
if(this.BFflV==1) return true;
if(this.BFflV==2) return true;
return false;
}
this.RblYv=function()
{
return this.XHpNN;
}
this.fQmqI=function()
{
return this.fkTIR;
}
this.gGFkc=function()
{
return this.WoALr_previewZone;
}
this.Fdbws=function()
{
if(this.fQmqI()) return true;
return false;
}
this.lhuJb=function()
{
if(this.gGFkc()) return true;
return false;
}
this.tNrAc=function()
{
if(this.Fdbws()==false)return
var UMrbI=this.NIOuJ_by_action["<"]
UMrbI.setVisible(this.FXeEk())
var dobLS=this.NIOuJ_by_action[">"]
dobLS.setVisible(this.YAOHF())
}
this.jFsoO=function()
{
var pFsUm=this.gGFkc();
var UrSBH=this.EudjO.width
var gKcrD=this.EudjO.height
var GuMaZ=pFsUm.rect
var GuMaZ_rect=IKkOZ(GuMaZ,UrSBH,gKcrD)
if(this.BFflV==2)
{
GuMaZ_rect=new Rect(0,0,UrSBH,gKcrD)
}
GuMaZ_rect.x+=this.EudjO.x
GuMaZ_rect.y+=this.EudjO.y
var WgtMR_rect=GuMaZ_rect.clone()
this.IpFjY_preview=WgtMR_rect
html_SetRect(this.foELM,this.IpFjY_preview)
this.SZWPe()
this.iJrMx()
}
this.witxj=function()
{
if(this.UliOp()) return;
if(this.lhuJb()==false)return;
var XOjfh=Tween.regularEaseOut
var xeZWu=0.3
if((!this.dbEBu)||(this.dbEBu.isRunning()==false))
{
if(this.dbEBu)this.dbEBu.stop()
this.dbEBu=new EAOtI(this.nwjtJ,XOjfh,0,100,xeZWu)
this.dbEBu.onMotionFinished=this.pKGLZ
this.dbEBu.m_count=0
this.dbEBu.start()
}
if((!this.Oulgr)||(this.Oulgr.isRunning()==false))
{
if(this.Oulgr)this.Oulgr.stop()
this.Oulgr=new EAOtI(this.TemRK,XOjfh,0,100,xeZWu)
this.Oulgr.onMotionFinished=this.pKGLZ
this.Oulgr.m_count=0
this.Oulgr.start()
}
}
this.pKGLZ=function()
{
if(this.m_count>=3)
{
return;
}
this.yoyo()
this.m_count++}
this.SZWPe=function()
{
if(this.KEbbS()==false)return;
if(this.lhuJb()==false)return
if(isMobileBrowser())return
var uffNN=30
var UtnWk=this;
var DXuHf=UtnWk.QXhen
var n_pos=UtnWk.JPVGM;
if(n_pos!=-1)
{
var hMScs=true;
if(n_pos==0)
{
if(UtnWk.cSpqb()==false)hMScs=false;
UtnWk.DJFUN.setImage("intuisphere.png",new Rect(97,49,46,47))
}
else
if(n_pos==1)
{
if(UtnWk.HmCuP())
{
UtnWk.DJFUN.setImage("intuisphere.png",new Rect(48,0,48,48))
}
else
if(UtnWk.nBpwD())
{
UtnWk.DJFUN.setImage("intuisphere.png",new Rect(0,0,48,48))
}
else
{
hMScs=false;
}
}
else
if(n_pos==2)
{
if(UtnWk.jtShS()==false)hMScs=false;
UtnWk.DJFUN.setImage("intuisphere.png",new Rect(0,49,46,47))
}
UtnWk.DJFUN.setPosition(DXuHf.x,DXuHf.y,uffNN,uffNN);
UtnWk.DJFUN.setVisible(hMScs)
}
else
{
UtnWk.DJFUN.setVisible(false)
}
}
this.iJrMx=function()
{
if(this.lhuJb()==false)return
if((this.UliOp()==false)&&(this.SLOuI.width>0))
{
var soYxA=40
var x_arrow0=(this.IpFjY_preview.width-this.SLOuI.width)/2
var x_arrow1=(x_arrow0+this.SLOuI.width-soYxA)
var y_arrow0=(this.IpFjY_preview.height-this.SLOuI.height)/2+(this.SLOuI.height-soYxA)/2 
this.nwjtJ.setRect(x_arrow0,y_arrow0,soYxA,soYxA)
this.TemRK.setRect(x_arrow1,y_arrow0,soYxA,soYxA)
this.nwjtJ.setVisible(this.cSpqb())
this.TemRK.setVisible(this.jtShS())
}
else
{
this.nwjtJ.setVisible(false)
this.TemRK.setVisible(false)
}
this.nwjtJ.setOpacity(0)
this.TemRK.setOpacity(0)
}
this.HsYQs=function()
{
if(this.lhuJb())
{
this.jFsoO()
var mIvdA=this.olKGe 
WA_photoAlbumActionThumb(this.Pimln,mIvdA,true)
this.jFsoO()
}
this.RAaxn()
if(this.rIiEo_global)
{
this.rIiEo_global.setRect(0,0,this.EudjO.width,this.EudjO.height);
}
if(this.lEPZu)
{
html_SetGeometry(this.lEPZu,0,0,this.EudjO.width,this.EudjO.height)
}
}
this.SsGVA=function()
{
if(this.lhuJb())
{
WA_photoAlbumActionThumb(this.Pimln,this.olKGe,true)
}
}
this.oNDnj=function(HaCTq)
{
var jXQLH=""
if(this.Fdbws())
{
jXQLH+=this.iQaPK();
}
if(this.lhuJb())
{
jXQLH+=this.bTwnj();
};
if((this.BFflV==1)||(this.BFflV==2))
{
if(this.WoALr_layout.bg_fullpage_img.length>0)
{
this.lEPZu=this.rRnVI()+"-graphic-fullpage-bg";
jXQLH+="<div id='"+this.lEPZu+"' style=\"";
jXQLH+="position:absolute;z-index:0;";
if(this.WoALr_layout.bg_fullpage_img_type==0)
{
jXQLH+="background-image:url('"+this.WoALr_layout.bg_fullpage_img+"');";
jXQLH+="background-repeat: repeat;";
}
jXQLH+="\" ";
jXQLH+=">";
if(this.WoALr_layout.bg_fullpage_img_type==1)
{
jXQLH+="<img src='"+this.WoALr_layout.bg_fullpage_img+"' width=100% height=100% border=0 >";
}
jXQLH+="</div>";
}
else
{
var nOnYw=this.WoALr_layout.bg_fullpage_grad
this.rIiEo_global=new WA_GraphicElement(this.rRnVI()+"-graphic-global-bg",0,false)
this.rIiEo_global.nOnYw=nOnYw
this.rIiEo_global.draw=function()
{
var nOnYw=this.nOnYw
var nOnYw_bg=false
if(nOnYw.has_gradient)
{
var UrSBH=this.rect().width
var gKcrD=this.rect().height
var xg1=nOnYw.pt1.x*UrSBH/100
var yg1=nOnYw.pt1.y*gKcrD/100
var xg2=nOnYw.pt2.x*UrSBH/100
var yg2=nOnYw.pt2.y*gKcrD/100
nOnYw_bg=NrgoX(xg1,yg1,xg2,yg2,nOnYw.col1,nOnYw.col2)
}
else
{
nOnYw_bg=nOnYw.col1
}
WA_bg(this.canvasId(),this.rect().width,this.rect().height,0,0,'',[nOnYw_bg],false,0,1)
}
jXQLH+=this.rIiEo_global.toHtml();
}
}
var stlbX=document.getElementById(HaCTq);
stlbX.innerHTML=jXQLH
stlbX.style.display="block"
if(navigator.userAgent.match(/opera/i))
{
wa_timeout("WA_registerAlbum('"+this.Pimln+"') ",0)
}
else
{
WA_registerAlbum(Pimln)
}
if(this.RblYv()==false)
{
this.witxj()
}
}
this.BhUdN=function()
{
var DXQNB="wa-dialog-container"
if(this.nBpwD()==false) return;
if(this.BFflV==0)
if(this.WoALr_layout.plugin_fullscreen_url.length>0)
{
window.open(this.WoALr_layout.plugin_fullscreen_url)
return;
}
this.JPVGM=-1;
this.SZWPe()
var lkNNl=this.lkNNl
var IpFjY=new Rect(0,0,getWindowSize().width,getWindowSize().height)
var UtnWk=new qKVJE(Pimln,lkNNl)
UtnWk.olKGe=this.olKGe
if(this.BFflV==0)
{
UtnWk.BFflV=1
}
else
if(this.BFflV==1)
{
UtnWk.BFflV=2
}
lkNNl.album_object=UtnWk;
UtnWk.EudjO.copy(IpFjY)
UtnWk.fkTIR=lkNNl.layout.selector_fullpage
if(UtnWk.BFflV==2)
{
UtnWk.fkTIR=false
}
UtnWk.WoALr_previewZone=lkNNl.layout.preview_fullpage
wa_global_photo_album.fullpage_object=UtnWk
UtnWk.oNDnj(DXQNB)
return UtnWk
}
this.hdNKZ=function()
{
if(this.HmCuP()==false) return;
this.hCWEg()
var DXQNB="wa-dialog-container"
var lkNNl=this.lkNNl
lkNNl.album_object=lkNNl.CAQwB;
wa_global_photo_album.fullpage_object=false
if(this.BFflV==1)
{
var stlbX=document.getElementById(DXQNB);
stlbX.innerHTML=""
stlbX.style.display="none"
WA_photoAlbumActionThumb(this.Pimln,this.olKGe,true)
return lkNNl.CAQwB
}
if(this.BFflV==2)
{
lkNNl.album_object.olKGe=this.olKGe
return lkNNl.album_object.BhUdN()
}
}
this.hCWEg=function()
{
if(this.UliOp())
{
this.XHpNN=false
clearTimeout(this.AOPdn)
this.AOPdn=false;
}
}
this.onFullScreenKeydown=function(k)
{
if(k==27)
{
this.hdNKZ()
return false;
}
hTQPc(this.Pimln,[k])
return false;
}
}
function NrgoX(InXBO,MrGPQ,LDIsU,NZpfE,gYbgv,VUGgH)
{
var mJUSA=""
mJUSA+="(";
mJUSA+=InXBO+";"+MrGPQ+";"+LDIsU+";"+NZpfE+";";
mJUSA+=gYbgv+";";
mJUSA+=VUGgH;
mJUSA+=")";
return mJUSA;
}
function WA_photoAlbumAction(Pimln,mIvdA)
{
var UtnWk=qiRdx(Pimln)
var sstnd=UtnWk.NIOuJ[mIvdA]
var n_action=sstnd.n_action
if((n_action=="<")||(n_action=="up"))
{
UtnWk.mBjCa=Math.max(0,UtnWk.mBjCa-1)
dEbNH(Pimln)
}
if((n_action==">")||(n_action=="down"))
{
UtnWk.mBjCa=Math.min(UtnWk.gFNDT_pages-1,UtnWk.mBjCa+1)
dEbNH(Pimln)
}
if(n_action=="diapo")
{
uJTgY(Pimln)
}
if(n_action=="+")
{
UtnWk.BhUdN()
}
}
function WA_photoAlbumIncrease(Pimln,mIvdA)
{
var UtnWk=qiRdx(Pimln)
UtnWk.olKGe=mIvdA
UtnWk.BhUdN()
}
function uJTgY(Pimln)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk.UliOp()==false)
{
var gFNDT_increase=0;
var XjKLu=UtnWk;
while(XjKLu.nBpwD())
{
XjKLu=XjKLu.BhUdN()
gFNDT_increase++}
if(gFNDT_increase>0)
{
XjKLu.gFNDT_decrease_view_when_diaporama_stop=gFNDT_increase;
WA_goNextDiaporama(Pimln)
XjKLu.iJrMx()
return;
}
}
if(UtnWk.UliOp())
{
NFEob(Pimln)
}
else
{
WA_goNextDiaporama(Pimln)
}
if(UtnWk.Fdbws())
{
var sstnd=UtnWk.NIOuJ_by_action["diapo"]
sstnd.draw()
}
}
function NFEob(Pimln)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk.UliOp())
{
UtnWk.hCWEg()
if(UtnWk.gFNDT_decrease_view_when_diaporama_stop)
{
var XjKLu=UtnWk;
for(var n=0;n<UtnWk.gFNDT_decrease_view_when_diaporama_stop;n++)
{
XjKLu=XjKLu.hdNKZ() 
}
return;
}
}
if(UtnWk.Fdbws())
{
var sstnd=UtnWk.NIOuJ_by_action["diapo"]
sstnd.draw()
}
}
function WA_goNextDiaporama(Pimln)
{
var WoALr=VMESb(Pimln)
var tDgEr=GqvTS(Pimln)
var UtnWk=qiRdx(Pimln)
var mIvdA=(UtnWk.olKGe+1)%tDgEr.length;
if(WoALr.diaporama.random)
{
mIvdA=Math.round((tDgEr.length-1)*Math.random());
}
WA_photoAlbumActionThumb(Pimln,mIvdA)
UtnWk.AOPdn=wa_timeout("WA_goNextDiaporama('"+Pimln+"')",WoALr.diaporama.time*1000)
}
function qBxdZ(Pimln,mIvdA)
{
var UtnWk=qiRdx(Pimln)
if(mIvdA<0)
{
UtnWk.witxj()
return false;
}
if(mIvdA>UtnWk.gFNDT_images-1)
{
UtnWk.witxj()
return false;
}
WA_photoAlbumActionThumb(Pimln,mIvdA)
return true;
}
function gQqXQ(Pimln)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk.UliOp()) return false;
return qBxdZ(Pimln,UtnWk.olKGe+1)
}
function WjABP(Pimln)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk.UliOp()) return false;
return qBxdZ(Pimln,UtnWk.olKGe-1)
}
function WA_clickAlbumPreview(Pimln)
{
var UtnWk=qiRdx(Pimln)
if(UtnWk.RblYv()) return;
if(UtnWk.UliOp())
{
NFEob(Pimln)
}
var uhqrA=UtnWk.JPVGM
if(uhqrA!=-1)
{
if(uhqrA==2)gQqXQ(Pimln)
if(uhqrA==1)
{
if(UtnWk.HmCuP())
{
UtnWk.hdNKZ()
}
else
if(UtnWk.nBpwD())
{
UtnWk.BhUdN()
}
}
if(uhqrA==0)WjABP(Pimln)
}
}
function WA_mouseoutAlbumPreview(e,Pimln)
{
var UtnWk=qiRdx(Pimln)
UtnWk.DJFUN.setVisible(false)
UtnWk.JPVGM=-1;
}
function WA_mousemoveAlbumPreview(e,Pimln)
{
var posx=0;
var posy=0;
if(!e)  e=window.event;
if(e.pageX||e.pageY){
posx=e.pageX;
posy=e.pageY;
}
else if(e.clientX||e.clientY){
posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;
posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop;
}
var UtnWk=qiRdx(Pimln)
var nOBmd=document.getElementById(UtnWk.DJFUN.divId())
var pt=html_findPos(nOBmd.offsetParent)
var x=posx-pt.x+1;
var y=posy-pt.y+1;
var n_pos=-1
if(UtnWk.UliOp()==false)
{
if((x>0)&&(x<UtnWk.IpFjY_preview.width))
if((y>0)&&(y<UtnWk.IpFjY_preview.height))
{
n_pos=1;
if(x<UtnWk.IpFjY_preview.width*0.3)n_pos=0;
if(x>UtnWk.IpFjY_preview.width*(1-0.3))n_pos=2;
}
}
UtnWk.QXhen=new Point(x,y);
UtnWk.JPVGM=n_pos;
UtnWk.SZWPe();
}
function dEbNH(Pimln)
{
var UtnWk=qiRdx(Pimln)
var sSvKu=document.getElementById(UtnWk.cNYbh)
if(!sSvKu)return;
var WdskV;
var PqohG=0;
var size_thumb=UtnWk.owCCW;
var gGEXg=UtnWk.gGEXg;
var Tbpxp=0;
var BOBQq=(size_thumb+2*UtnWk.UBppJ_thumbnail+gGEXg);
var XAmeR=UtnWk.gFNDT_cols*UtnWk.gFNDT_rows;
if(UtnWk.sWCYo)
{
Tbpxp=UtnWk.mBjCa*UtnWk.gFNDT_cols*BOBQq
}
else
{
Tbpxp=UtnWk.mBjCa*UtnWk.gFNDT_rows*BOBQq
}
if(UtnWk.sWCYo)
{
WdskV="scrollLeft"
PqohG=sSvKu.scrollLeft
}
else
{
WdskV="scrollTop"
PqohG=sSvKu.scrollTop
}
if(PqohG==Tbpxp)
{
return;
}
if(UtnWk.m_tween_slider)
{
UtnWk.m_tween_slider.stop()
}
var xeZWu=0.7;
UtnWk.m_tween_slider=new Tween(sSvKu,WdskV,Tween.strongEaseOut,PqohG,Tbpxp,xeZWu);
UtnWk.m_tween_slider.onMotionFinished=gRvjn
UtnWk.m_tween_slider.UtnWk=UtnWk
UtnWk.m_tween_slider.start() 
}
function gRvjn()
{
var UtnWk=this.UtnWk
UtnWk.tNrAc()
}
function ismMI(Pimln)
{
return wa_global_photo_album[Pimln]
}
function qiRdx(Pimln)
{
return wa_global_photo_album[Pimln].album_object
}
function GqvTS(Pimln)
{
return wa_global_photo_album[Pimln].def
}
function tXYmr(Pimln)
{
return wa_global_photo_album[Pimln].src_folder
}
function VMESb(Pimln)
{
return wa_global_photo_album[Pimln].layout
}
function wMRem(FxLDU)
{
var Pimln=FxLDU[0]
WA_addHandler(Pimln,"mousewheel",NTFfD)
WA_addHandler(Pimln,"keydown",hTQPc)
var DXQNB="photo-album-main-"+Pimln
var lkNNl=ismMI(Pimln)
var IpFjY=new Rect()
IpFjY.copy(lkNNl.size_container) 
var UtnWk=new qKVJE(Pimln,lkNNl) 
lkNNl.album_object=UtnWk;
lkNNl.CAQwB=UtnWk 
UtnWk.EudjO.copy(IpFjY)
UtnWk.fkTIR=lkNNl.layout.selector
UtnWk.WoALr_previewZone=lkNNl.layout.preview
UtnWk.oNDnj(DXQNB) 

var UtnWk=qiRdx(Pimln)
var mTlGb=document.wa_global_query_info
if(mTlGb)
{
if(Pimln==mTlGb.m_unid)
{
UtnWk.olKGe=mTlGb.m_index_item
UtnWk.BhUdN()
return;
}
}
if(UtnWk.RblYv())
{
uJTgY(Pimln)
return;
}
}
function WA_registerAlbum(Pimln)
{
qiRdx(Pimln).SBIBc()
}
function hTQPc(Pimln,FxLDU)
{
var XTRqn=FxLDU[0]
if(XTRqn==37) return WjABP(Pimln);
if(XTRqn==39) return gQqXQ(Pimln);
return true;
}
function NTFfD(Pimln,bRiFU)
{
var OWRYT=bRiFU[0] 
if(OWRYT>0)return WjABP(Pimln);
if(OWRYT<0)return gQqXQ(Pimln);
return true;
}
function WA_PhotoAlbum_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
var UtnWk=wa_global_photo_album.fullpage_object
if(wa_global_photo_album.PpbSH)
{
clearTimeout(wa_global_photo_album.PpbSH);
}
var IpFjY=new Rect(0,0,getWindowSize().width,getWindowSize().height)
UtnWk.EudjO.copy(IpFjY)
UtnWk.HsYQs()
wa_global_photo_album.PpbSH=wa_timeout("WA_PhotoAlbum_delayed_resizeUI()",1000)
}
}
function WA_PhotoAlbum_delayed_resizeUI()
{
if(wa_global_photo_album.fullpage_object)
{
wa_global_photo_album.PpbSH=false
var UtnWk=wa_global_photo_album.fullpage_object
UtnWk.SsGVA()
}
}
function WA_loadPhotoAlbums()
{
for(var XTRqn in wa_global_photo_album)
{
var lkNNl=wa_global_photo_album[XTRqn]
var VZMnQ=Translator.m_lang_for_filename
if(VZMnQ.length>0)VZMnQ="_"+VZMnQ;
WA_loadScript(lkNNl.src_folder+'/photo-album-definition'+VZMnQ+'.js?v='+lkNNl.id_modif,wMRem,[XTRqn]);
}
}

-->
